Kerbal Space Program - Bug #18092

Shrouds getting random offset
03/17/2018 08:15 AM - Tomator

Status: Closed Start date: 03/17/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.4.4 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game, Making History

Description

The heat shield's decoupler shroud appears off-place randomly. When switched to another ship and back it appears with different
shift - to aft and/or off-center. Or... correctly. It doesn't seem to break anything physically though.

History

#1 - 03/18/2018 07:57 AM - Tomator
- File 20180317235648_1.jpg added
- File 20180317235701_1.jpg added
- File 20180318000834_1.jpg added

- Subject changed from Heat shield's shroud appears with random offset to Shrouds getting random offset

Not only heat shield shroud but also engine shroud can be placed incorrectly.

#2 - 03/28/2018 09:46 PM - LameLefty
- File screenshot288.png added
- File screenshot338.png added

I've noticed the same thing around engines, most particularly the Wolfhound (the AJ-10 Apollo SPS-type engine in the game.

In the first image, the shroud was completely offset radially from the the rest of the craft by a couple meters. When | staged away the lower stage, it
drifted off and eventually disappeared as expected.

In the second image, the shroud was offset from its parent stage both vertically and a bit horizontally. This probe was located beneath the shrouded
engine, surrounded by a fairing. After decoupling the shrouded engine from the top of the Clampotron docking port, the shroud stayed connected to
the probe by some phantom force or connection. It remained with the probe all the way through entry into Eve's atmosphere, through parachute
deployment and splashdown. After quitting the game and jumping to the vessel, the shroud was finally gone.

#3 - 06/12/2018 02:20 AM - ancassid

I'm getting the same bug in 1.4.3 on macOS, both with and without mods

#4 - 06/12/2018 02:23 AM - ancassid
- Version changed from 1.4.1 to 1.4.3
- Platform OSX added

#5 - 06/30/2018 12:34 PM - Tomator
- File screenshot1.png added
- Version changed from 1.4.3 to 1.4.4

#6 - 06/25/2019 03:18 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10
Issue no longer occurs

#7 - 06/25/2019 03:18 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#8 - 06/25/2019 05:44 PM - chris.fulton

- Status changed from Resolved to Closed
